Package: org.apache.groovy.json.internal

## [Java] Class JsonFastParser

- org.apache.groovy.json.internal.JsonFastParser

- This works in index overlay mode or chop mode. Chop mode reduces possibility of memory leak but causes a few more buffer copies as it chops up the buffer.

  Authors:
    Rick Hightower

- - ### Constructor Summary

    Constructors
    Constructor and description
    `JsonFastParser ()`
    `JsonFastParser (boolean useValues)`
    `JsonFastParser (boolean useValues, boolean chop)`
    `JsonFastParser (boolean useValues, boolean chop, boolean lazyChop)`
    `JsonFastParser (boolean useValues, boolean chop, boolean lazyChop, boolean checkDates)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected Object` | `decodeFromChars(char[] cs)`
    `` | `protected Value` | `decodeJsonObjectLazyFinalParse()`
    `` | `protected Value` | `decodeValue()`

- - ### Constructor Detail

    - #### public JsonFastParser()

    - #### public JsonFastParser(boolean useValues)

    - #### public JsonFastParser(boolean useValues, boolean chop)

    - #### public JsonFastParser(boolean useValues, boolean chop, boolean lazyChop)

    - #### public JsonFastParser(boolean useValues, boolean chop, boolean lazyChop, boolean checkDates)

  - ### Method Detail

    - #### protected final Object decodeFromChars(char[] cs)

    - #### protected final Value decodeJsonObjectLazyFinalParse()

    - #### protected Value decodeValue()